Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.utils
Class ErrorCollectionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              weblogic.management.utils.ErrorCollectionException

All Implemented Interfaces:
  Serializable

public class ErrorCollectionException
extends Exception

The `ErrorCollectionException` exception is thrown when multiple errors (that are related in some way) occur. This exception typically contains some number of more specific, individual exceptions that provide more information about the underlying errors.

For example, the `ErrorCollectionException` exception may be thrown when an attempt is made to validate an invalid security realm, or when performing security data migration tasks. In each case, the exceptions within the `ErrorCollectionException` exception provide the details about what went wrong.

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `serialVersionUID`

Constructor Summary
`ErrorCollectionException()` Constructs an `ErrorCollectionException` with no embedded exceptions.
`ErrorCollectionException(String baseMessage)` Constructs an `ErrorCollectionException` with the specified base message.
`ErrorCollectionException(Throwable exception)` Constructs an `ErrorCollectionException` that specifies a single embedded exception.

Method Summary
`void` | `add(Throwable exception)` Adds an exception to this collection of exceptions.
`String` | `getBaseMessage()` Gets the base message for this exception.
`Collection` | `getExceptions()` Gets the exceptions that are embedded in this collection of exceptions.
`String` | `getMessage()` Gets detail messages for all exceptions that have been added to this collection of exceptions.
`boolean` | `isEmpty()` Tests if any exceptions have been added to this collection of exceptions.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### ErrorCollectionException

    public ErrorCollectionException()

  Constructs an `ErrorCollectionException` with no embedded exceptions.

### ErrorCollectionException

    public ErrorCollectionException(String baseMessage)

  Constructs an `ErrorCollectionException` with the specified base message. A base message is a String that describes this collection of exceptions.

### ErrorCollectionException

    public ErrorCollectionException(Throwable exception)

  Constructs an `ErrorCollectionException` that specifies a single embedded exception.

Method Detail

### add

    public void add(Throwable exception)

  Adds an exception to this collection of exceptions.

  Parameters:
    `exception` - the exception to be added to this collection of exceptions.

### getBaseMessage

    public String getBaseMessage()

  Gets the base message for this exception.

  Returns:
    the base message that was specified when this exception was created.

### getExceptions

    public Collection getExceptions()

  Gets the exceptions that are embedded in this collection of exceptions.

  Returns:
    the `Collection` embedded in this collection of exceptions.

### getMessage

    public String getMessage()

  Gets detail messages for all exceptions that have been added to this collection of exceptions. A detail message is a String that describes a particular exception.

  Returns:
    a String representation of the detail messages for all embedded exceptions.

### isEmpty

    public boolean isEmpty()

  Tests if any exceptions have been added to this collection of exceptions.

  Returns:
    true if no exceptions have been added to this collection of exceptions.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD